SSL_NUM_RENEGOTIATIONS(3)

NAME
SSL_num_renegotiations, SSL_clear_num_renegotiations, SSL_total_renegotiations - renegotiation counters

SYNOPSIS
#include <openssl/ssl.h>
long
SSL_num_renegotiations(SSL *ssl);
long
SSL_clear_num_renegotiations(SSL *ssl);
long
SSL_total_renegotiations(SSL *ssl);

DESCRIPTION
SSL_num_renegotiations() reports the number of renegotiations initiated in ssl since SSL_new(3), SSL_clear(3), or SSL_clear_num_renegotiations() was last called on that object.

SSL_clear_num_renegotiations() does the same and additionally resets the renegotiation counter to 0.

SSL_total_renegotiations() reports the number of renegotiations initiated in ssl since SSL_new(3) or SSL_clear(3) was last called on that object.

These functions are implemented as macros.

RETURN VALUES
All these functions return a number of renegotiations.

SEE ALSO
BIO_set_ssl_renegotiate_bytes(3), ssl(3), SSL_ctrl(3), SSL_read(3), SSL_renegotiate(3), SSL_write(3)

HISTORY
These functions first appeared in SSLeay 0.9.0 and have been available since OpenBSD 2.4.